/*
 * xsky - an interactive sky atlas
 *
 * Copyright 1995, Terry R. Friedrichsen
 *
 * This program may be copied and redistributed, in whole or in part,
 * as long as you don't try to make any money from the sale or redis-
 * tribution of the program or any part of the program, or pretend
 * that you wrote the program or any of its parts unless specifically
 * credited by the original author.
 *
 * You are free to make use of this software in your own programs, as
 * long as you credit the original author where it is due.
 */

/*
 * WARRANTY:
 * xsky was written as a learning project and as a demonstration of
 * X Window System programming.  xsky doesn't do anything; it is not
 * merchantable, and it is not fit for any purpose whatsoever.  In
 * fact, don't use xsky at all; it's free, and you're getting what
 * you paid for.
 */

#define NGC_CATALOG_NAME "New General Catalog of Nebulae and Clusters - 2000.0"

#define NGC_MENU_NAME   "NGC2000"

#define NGC_EPOCH       2000.0

#define NGC_NUMREC      13226

#define NGC_RECLEN      100

#define NGC_ID_CODE      1
#define IC_ID_CODE       2

#define	CAT_START	  0
#define CAT_LENGTH        8

#define	TYPE_START	  9
#define TYPE_LENGTH       3

#define POS_START        13

#define RA_HOURS_START   13
#define RA_HOURS_LENGTH   2

#define RA_MIN_START     16
#define RA_MIN_LENGTH     4

#define DEC_SIGN_START   22
#define DEC_SIGN_LENGTH   1

#define DEC_DEG_START    23
#define DEC_DEG_LENGTH    2

#define DEC_MIN_START    26
#define DEC_MIN_LENGTH    2

#define CONSTELL_START   32
#define CONSTELL_LENGTH   3

#define SIZE_LIM_START   35
#define SIZE_LIM_LENGTH   1

#define SIZE_START       36
#define SIZE_LENGTH       5

#define	MAG_START	 43
#define MAG_LENGTH        4

#define MAG_CODE_START   47
#define MAG_CODE_LENGTH   1

#define	DESC_START	 49
#define DESC_LENGTH      50

struct ngc_type {
  char *code;
  char *description;
};
